# pyrnnoise

Python wrapper for [Xiph.org rnnoise](https://gitlab.xiph.org/xiph/rnnoise)

## Dependencies

### librnnoise

```
git clone 'https://gitlab.xiph.org/xiph/rnnoise/-/tree/master'
cd rnnoise
./autogen.sh
./configure
make
sudo make install
```

### Build dependencies

- setuptools
- build
- wheel

## Building

`python3 -m build`

## Run tests

`bash test.sh`

## Installing

`pip install dist/pyrnnoise*.whl`

## Examples

See `demo_iter.py` and `demo.py` or run `python3 -c 'import rnnoise; help(rnnoise)'`.
