from setuptools import setup, Extension

setup(name = 'pyrnnoise',
	version = '0.1',
        test_suite='test_pyrnnoise',
        description="Python wrapper for Xiph.org rnnoise algorithm implementation",
        long_description="file: README.md",
        author = "Yann Weber",
        author_email = "pyrnnoise@yannweb.net",
        url = "https://git.yannweb.net/yannweb/pyrnnoise",
        license = "BSD-3-Clause",
        keywords = ["rnnoise", "noise reduction", "audio processing"],
	ext_modules = [
		Extension(
                        name="rnnoise",
			libraries=['rnnoise'],
                        sources=["pyrnnoise.c"],
                        extra_compile_args=["-Wall", "-Werror"],
		)
	]
);
